const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const reading_streaks = sequelize.define(
    'reading_streaks',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

current_streak_days: {
        type: DataTypes.INTEGER,
      
      

      },

best_streak_days: {
        type: DataTypes.INTEGER,
      
      

      },

last_streak_date: {
        type: DataTypes.DATE,
      
      

      },

started_at: {
        type: DataTypes.DATE,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  reading_streaks.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity







































//end loop



    db.reading_streaks.belongsTo(db.users, {
      as: 'user',
      foreignKey: {
        name: 'userId',
      },
      constraints: false,
    });




    db.reading_streaks.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.reading_streaks.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return reading_streaks;
};


